import React from 'react'
import XLSX from 'xlsx'
import PlayerList from './player/player-list'
import MatchList from './match/match-list'
import Player from './player/player.js'

class App extends React.Component {
  constructor () {
    super()
    this.state = { players: [], matches: [] }
    this.handleChange = this.handleChange.bind(this)
  }

  handleChange (event) {
    console.log(event.target)
    const f = event.target.files[0]
    console.log(f)
    const reader = new FileReader()
    reader.onload = (e) => {
      const data = e.target.result
      const workbook = XLSX.read(data, {type: 'binary'})
      const jsonWB = XLSX.utils.sheet_to_json(workbook.Sheets.Players, {header: 1})
      console.log(jsonWB)
      if (jsonWB[3][0] != 'Konkurrenz' & jsonWB[3][11] != 'bezahlt') {
        throw Error('Wrong file.')
      }
      const players = jsonWB.slice(4, jsonWB.length) // .map((playerData) => Player(playerData))
      console.log(players)
      this.setState({ players })
      console.log('state')
      console.log(this.state)
    }
    reader.readAsBinaryString(f)
  }

  render () {
    return (
      <div className='App'>
        <form>
          <label for='playerList'>Swisstennis playerList.xls</label>
          <input type='file' id='playerList' accept='.xls' placeholder='playerList File' onChange={this.handleChange} />
          <label for='Calendar'>Swisstennis Calendar.xls</label>
          <input type='file' id='Calendar' accept='.xls' placeholder='Calendar File' onChange={this.handleChange} />
          <label for='Date'>Datum</label>
          <input type='date' />
          <button>Excel-Files generieren.</button>
        </form>
        {/* <PlayerList players={this.state.players} /> */}
        <MatchList matches={this.state.matches} />
      </div>
    )
  }
}

export default App
