import React from 'react'
import Player from './player'

class PlayerList extends React.Component {
  render () {
    const stats = {}

    stats.categories = []
    this.props.players.forEach((player, key) => {
      if (!stats.categories.includes(player[0])) {
        stats.categories.push(player[0])
      }
    })

    return (
      <div>
        <h2>Statistik</h2>
        <table>
          <tbody>
            <tr><th>Spieler</th><td>{this.props.players.length}</td></tr>
            <tr><th>Konkurrenzen</th><td>{stats.categories.length}</td></tr>
          </tbody>
        </table>
        <h2>Konkurrenzen</h2>
        <ul>
          {stats.categories.map((category, key) => (
            <li key={key}>{category}</li>
          ))}
        </ul>
        <h2>Spielerliste</h2>
        <ul>
          {this.props.players.map((player, key) => (
            <Player key={key} details={player} />
          ))}
        </ul>
      </div>
    )
  }
}

export default PlayerList
